<html>
<head>
<title>OgreRenderTargetListener.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreRenderTargetListener.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreRenderTargetListener_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __RenderTargetListener_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __RenderTargetListener_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 
<a name="l00044"></a><a class="code" href="structOgre_1_1RenderTargetEvent.html">00044</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1RenderTargetEvent.html" title="Struct containing information about a RenderTarget event.">RenderTargetEvent</a>
<a name="l00045"></a>00045     {
<a name="l00047"></a><a class="code" href="structOgre_1_1RenderTargetEvent.html#aceb69f7a9bbb3b126fea2bfded331a41">00047</a>         <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* <a class="code" href="structOgre_1_1RenderTargetEvent.html#aceb69f7a9bbb3b126fea2bfded331a41" title="The source of the event being raised.">source</a>;
<a name="l00048"></a>00048     };
<a name="l00049"></a>00049 
<a name="l00052"></a><a class="code" href="structOgre_1_1RenderTargetViewportEvent.html">00052</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>
<a name="l00053"></a>00053     {
<a name="l00055"></a><a class="code" href="structOgre_1_1RenderTargetViewportEvent.html#ad70a30225c318f3f6e3fc20b5edc34f6">00055</a>         <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html#ad70a30225c318f3f6e3fc20b5edc34f6" title="The source of the event being raised.">source</a>;
<a name="l00056"></a>00056     };
<a name="l00057"></a>00057 
<a name="l00077"></a><a class="code" href="classOgre_1_1RenderTargetListener.html">00077</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications of RenderTarget even...">RenderTargetListener</a>
<a name="l00078"></a>00078     {
<a name="l00079"></a>00079         <span class="comment">/*</span>
<a name="l00080"></a>00080 <span class="comment">        Note that this could have been an abstract class, but I made</span>
<a name="l00081"></a>00081 <span class="comment">        the explicit choice not to do this, because I wanted to give</span>
<a name="l00082"></a>00082 <span class="comment">        people the option of only implementing the methods they wanted,</span>
<a name="l00083"></a>00083 <span class="comment">        rather than having to create &#39;do nothing&#39; implementations for</span>
<a name="l00084"></a>00084 <span class="comment">        those they weren&#39;t interested in. As such this class follows</span>
<a name="l00085"></a>00085 <span class="comment">        the &#39;Adapter&#39; classes in Java rather than pure interfaces.</span>
<a name="l00086"></a>00086 <span class="comment">        */</span>
<a name="l00087"></a>00087     <span class="keyword">public</span>:
<a name="l00088"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#afb5752b727803f415b960ed9f2728f3a">00088</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1RenderTargetListener.html#afb5752b727803f415b960ed9f2728f3a">~RenderTargetListener</a>() {}
<a name="l00100"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#ae6e3dc0a3a760bf152513fafbf51f9b3">00100</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> preRenderTargetUpdate(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetEvent.html" title="Struct containing information about a RenderTarget event.">RenderTargetEvent</a>&amp; evt)
<a name="l00101"></a>00101         { (void)evt; }
<a name="l00102"></a>00102 
<a name="l00111"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#a722f37475162c91ee0dd6cebf03e63a3">00111</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> postRenderTargetUpdate(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetEvent.html" title="Struct containing information about a RenderTarget event.">RenderTargetEvent</a>&amp; evt)
<a name="l00112"></a>00112         { (void)evt; }
<a name="l00113"></a>00113 
<a name="l00114"></a>00114         <span class="comment">/* Called just before a Viewport on a RenderTarget is to be updated.</span>
<a name="l00115"></a>00115 <span class="comment">        @remarks</span>
<a name="l00116"></a>00116 <span class="comment">            This method is called before each viewport on the RenderTarget is</span>
<a name="l00117"></a>00117 <span class="comment">            rendered to. You can use this to perform per-viewport settings changes,</span>
<a name="l00118"></a>00118 <span class="comment">            such as showing / hiding particular overlays.</span>
<a name="l00119"></a>00119 <span class="comment">        */</span>
<a name="l00120"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#ae0f7f5f1cdf13b5870d0da1cc8f1bd64">00120</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> preViewportUpdate(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>&amp; evt)
<a name="l00121"></a>00121         { (void)evt; }
<a name="l00122"></a>00122 
<a name="l00123"></a>00123         <span class="comment">/* Called just after a Viewport on a RenderTarget is to be updated.</span>
<a name="l00124"></a>00124 <span class="comment">        @remarks</span>
<a name="l00125"></a>00125 <span class="comment">            This method is called after each viewport on the RenderTarget is</span>
<a name="l00126"></a>00126 <span class="comment">            rendered to. </span>
<a name="l00127"></a>00127 <span class="comment">        */</span>
<a name="l00128"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#a343ada5be6be784ee83f3cb8ac48e319">00128</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> postViewportUpdate(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>&amp; evt)
<a name="l00129"></a>00129         { (void)evt; }
<a name="l00130"></a>00130 
<a name="l00134"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#ab901ef7073b680203caf86792c2151ee">00134</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> viewportAdded(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>&amp; evt)
<a name="l00135"></a>00135                 { (void)evt; }
<a name="l00139"></a><a class="code" href="classOgre_1_1RenderTargetListener.html#ae39efc7491a7bbd3d5e2e3e5f84796c2">00139</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> viewportRemoved(<span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTargetViewportEvent.html" title="Struct containing information about a RenderTarget Viewport-specific event.">RenderTargetViewportEvent</a>&amp; evt)
<a name="l00140"></a>00140                 { (void)evt; }
<a name="l00141"></a>00141     };
<a name="l00144"></a>00144 }
<a name="l00145"></a>00145 
<a name="l00146"></a>00146 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
